> ## Documentation Index
> Fetch the complete documentation index at: https://manual.kotanipay.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Onramp Status

> This endpoint will be used to get the status of the transaction

This endpoint will be used to get the status of the onramp transaction.


## OpenAPI

````yaml GET /api/v3/onramp/{referenceId}
openapi: 3.0.0
info:
  title: KOTANI PAY API PLATFORM
  description: ''
  version: '3.0'
  contact: {}
servers:
  - url: https://preview.kotanipay.com
security: []
tags: []
paths:
  /api/v3/onramp/{referenceId}:
    get:
      tags:
        - ONRAMP
      summary: Get Status Response
      description: This endpoint will be used to get the status of the transaction
      operationId: OnrampController_getOnramp_api/v3
      parameters:
        - name: referenceId
          required: true
          in: path
          schema:
            type: string
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                properties:
                  success:
                    type: boolean
                    example: true
                  message:
                    type: string
                    example: Onramp status successfully retrieved.
                  data:
                    $ref: '#/components/schemas/OnrampResponseDto'
                    type: object
        '400':
          description: ''
          content:
            application/json:
              schema:
                properties:
                  success:
                    type: boolean
                    example: false
                  message:
                    type: string
                    example: Bad Request
                  data:
                    type: object
                    example: {}
        '401':
          description: ''
          content:
            application/json:
              schema:
                properties:
                  success:
                    type: boolean
                    example: false
                  message:
                    type: string
                    example: Unauthorized
                  data:
                    type: object
                    example: {}
        '404':
          description: ''
          content:
            application/json:
              schema:
                properties:
                  success:
                    type: boolean
                    example: false
                  message:
                    type: string
                    example: Not Found
                  data:
                    type: object
                    example: {}
      security:
        - JWT: []
components:
  schemas:
    OnrampResponseDto:
      type: object
      properties:
        referenceId:
          type: string
          description: Onramp reference ID
        depositStatus:
          description: Deposit status
          allOf:
            - $ref: '#/components/schemas/DEPOSIT_STATUS'
        onchainStatus:
          description: Onchain status
          allOf:
            - $ref: '#/components/schemas/DEPOSIT_STATUS'
        transactionHash:
          type: string
          description: Transaction hash
        rate:
          type: object
          description: Rate
        fiatAmount:
          type: number
          description: Fiat amount
        cryptoAmount:
          type: number
          description: Crypto amount
        error:
          description: Error details if the transaction failed
          nullable: true
          allOf:
            - $ref: '#/components/schemas/OnrampErrorDto'
      required:
        - referenceId
        - depositStatus
        - onchainStatus
        - rate
        - fiatAmount
        - cryptoAmount
    DEPOSIT_STATUS:
      type: string
      enum:
        - PENDING
        - INITIATED
        - SUCCESSFUL
        - FAILED
        - EXPIRED
        - CANCELLED
        - DECLINED
        - REVERSED
        - IN_PROGRESS
        - DUPLICATE
        - ERROR_OCCURRED
        - REQUIRE_REVIEW
        - SUCCESS
        - RETRY
        - PERMANENTLY_FAILED
    OnrampErrorDto:
      type: object
      properties:
        message:
          type: string
          description: Error message
        code:
          type: string
          description: Error code
        details:
          type: object
          description: Additional error details
      required:
        - message
  securitySchemes:
    JWT:
      scheme: bearer
      bearerFormat: JWT
      type: http

````